---
title: MediaStream.ended
slug: Web/API/MediaStream/ended
tags:
  - API
  - Media Streams API
  - MediaStream
  - Obsolete
  - Property
  - Reference
  - ended
---
<p>{{APIRef("WebRTC")}}{{obsolete_header}}</p>

<p>The <strong><code>ended</code></strong> read-only property of the {{domxref("MediaStream")}} interface returns a Boolean value which is <code style="font-size: 14px;">true</code> if the stream has been completely read, or <code style="font-size: 14px;">false</code> if the end of the stream has not been reached. This value  once the {{event("ended")}} event has been fired.</p>

<div class="warning">
<p>This property has been removed from the specification; you should instead rely on the {{event("ended")}} event or check the value of {{domxref("MediaStreamTrack.readyState")}} to see if its value is <code>"ended"</code> for the track or tracks you want to ensure have finished playing.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>hasEnded</em> = <em>MediaStream</em>.ended;</pre>

<h3 id="Value">Value</h3>

<p>A Boolean value that returns <code>true</code> if the end of the stream has been reached.</p>

<h2 id="Specifications">Specifications</h2>

<p>No longer part of any specification. This property was part of earlier drafts of the <a href="https://www.w3.org/TR/mediacapture-streams">Media Capture and Streams specification</a>.</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.MediaStream.ended")}}</p>
